Page tree
Skip to end of metadata
Go to start of metadata

Overview

Requirements

Install Ruby

Troubleshoot your installation

Uninstall Ruby

yum

rpm

Manual compilation


Important:

 Ruby on Rails does not function on Amazon Linux servers.


 

Uninstall Ruby with yum

Warning:

We deprecated the legacy Ruby codebase in cPanel & WHM version 66. We will not support any applications you create with the following interfaces:

    • cPanel's Ruby on Rails interface (cPanel >> Home >> Software >> Ruby on Rails).
    • cPanel's RubyGems interface (cPanel >> Home >> Software >> RubyGems).
    • The Ruby Gem installer in WHM's Module Installers interface (WHM >> Home >> Software >> Module Installers).

To install Ruby and create Ruby web applications in cPanel & WHM version 66 and later, follow the directions in our How to Create Ruby Web Applications documentation.

To determine whether Ruby exists on your server, run the following command:

yum provides ruby

The command returns output that resembles the following example:

# yum provides ruby
Loaded plugins: fastestmirror, presto
Loading mirror speeds from cached hostfile
 * base: repos.dfw.quadranet.com
 * extras: mirror.oss.ou.edu
 * updates: centos-distro.cavecreek.net

ruby-1.8.7.374-2.el6.i686 : An interpreter of object-oriented scripting language
Repo        : base
Matched from:
ruby-1.8.7.374-3.el6_6.i686 : An interpreter of object-oriented scripting language
Repo        : updates
Matched from:
ruby-1.8.7.374-4.el6_6.i686 : An interpreter of object-oriented scripting language
Repo        : updates
Matched from:
ruby-1.8.7.374-4.el6_6.i686 : An interpreter of object-oriented scripting language
Repo        : installed
Matched from:
Other       : Provides-match: ruby 
To remove a package, run the yum erase packagename command, where packagename represents the name of a package.

Additional documentation